Package org.opensaml.saml.common.profile.logic

# Class RegistrationAuthorityPredicate

java.lang.Object
org.opensaml.saml.common.profile.logic.AbstractRegistrationInfoPredicate
org.opensaml.saml.common.profile.logic.RegistrationAuthorityPredicate

All Implemented Interfaces:
  `Predicate<EntityDescriptor>`

public class RegistrationAuthorityPredicate extends AbstractRegistrationInfoPredicate
Predicate to determine whether one of a set of names matches an entity's `RegistrationInfo.getRegistrationAuthority()`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final Set<String>`
`authorities`
Authorities to match on.

## Constructor Summary

Constructors
Constructor
Description
`RegistrationAuthorityPredicate(Collection<String> names)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`protected boolean`
`doApply(RegistrationInfo info)`
Override this method to implement the predicate.
`Set<String>`
`getAuthorities()`
Get the authority name criteria.

### Methods inherited from class org.opensaml.saml.common.profile.logic.AbstractRegistrationInfoPredicate

`getMatchIfMetadataSilent, getRegistrationInfo, setMatchIfMetadataSilent, test`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Predicate

`and, negate, or`

## Field Details

### authorities

@Nonnull private final Set<String> authorities
Authorities to match on.

## Constructor Details

### RegistrationAuthorityPredicate

public RegistrationAuthorityPredicate(@Nullable @ParameterName(name="names") Collection<String> names)
Constructor.

Parameters:
  `names` - the authority names to test for

## Method Details

### getAuthorities

@Nonnull @Unmodifiable @NotLive public Set<String> getAuthorities()
Get the authority name criteria.

Returns:
  the authority name criteria

### doApply

protected boolean doApply(@Nonnull RegistrationInfo info)
Override this method to implement the predicate.

Specified by:
  `doApply` in class `AbstractRegistrationInfoPredicate`
Parameters:
  `info` - the information to evaluate
Returns:
  the result of the predicate